Bug 1549855 (CVE-2014-10071) - CVE-2014-10071 zsh: buffer overflow for very long fds in >& fd syntax
Summary: CVE-2014-10071 zsh: buffer overflow for very long fds in >& fd syntax
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-10071
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20141006,reported=2...
Depends On: 1571057 1571058
Blocks: 1549839
TreeView+ depends on / blocked
 
Reported: 2018-02-27 21:59 UTC by Laura Pardo
Modified: 2019-06-08 22:43 UTC (History)
5 users (show)

Fixed In Version: zsh 5.0.7
Doc Type: If docs needed, set a value
Doc Text:
A buffer overflow flaw was found in the zsh shell file descriptor redirection functionality. An attacker could use this flaw to cause a denial of service by crashing the user shell.
Clone Of:
Environment:
Last Closed: 2018-11-30 00:28:34 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3073 None None None 2018-10-30 07:30:09 UTC

Description Laura Pardo 2018-02-27 21:59:33 UTC
A flaw was found in zsh prior 5.0.7. There is a buffer overflow for very long fds in >& fd syntax.


References:
https://sourceforge.net/p/zsh/code/ci/49a3086bb67575435251c70ee598e2fd406ef055

Comment 3 errata-xmlrpc 2018-10-30 07:30:00 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:3073 https://access.redhat.com/errata/RHSA-2018:3073


Note You need to log in before you can comment on or make changes to this bug.